---
lang: en
title: 'API docs: sequelize.sequelizecrudrepository.excludehiddenprops'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizecrudrepository.excludehiddenprops.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeCrudRepository](./sequelize.sequelizecrudrepository.md) &gt; [excludeHiddenProps](./sequelize.sequelizecrudrepository.excludehiddenprops.md)

## SequelizeCrudRepository.excludeHiddenProps() method

> Warning: This API is now obsolete.
> 
> To exclude hidden props from an entity instance, call the `.toJSON()` method on it. Alternatively it can be use by manually instantiating the model using `new EntityClass(data).toJSON()`<!-- -->.
> 
> This function will be removed in next major release.
> 

Remove hidden properties specified in model from response body. (See: https://github.com/sourcefuse/loopback4-sequelize/issues/3)

**Signature:**

```typescript
protected excludeHiddenProps(entity: T & Relations): T & Relations;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  entity | T &amp; Relations | normalized entity. You can use <code>entity.toJSON()</code>'s value |

**Returns:**

T &amp; Relations

normalized entity excluding the hiddenProperties


